{ config, pkgs, ... }:

{
  # Allow unfree packages
  nixpkgs.config.allowUnfree = true;

  # System packages
  environment.systemPackages = with pkgs; [
    # Browsers and communication
    ungoogled-chromium
    librewolf
    discord
    signal-desktop-bin
    impression
    
    # Development tools
    zed-editor
    git
    go
    cargo
    rustc
    rust-analyzer
    rustfmt
    nodejs_24
    python3Full
    openssh
    nodePackages."pnpm"
    openssl
    
    # Desktop applications
    bitwarden-desktop
    ghostty
    vlc
    onlyoffice-desktopeditors
    spotify
    spot
    nextcloud-client
    zotero
    prismlauncher

    # Gaming
    luanti
    duckstation    

    # GNOME extensions
    gnomeExtensions.appindicator
  ];
} 
